Package twisted :: Package internet :: Module cfreactor :: Class SelectableSocketWrapper

[frames | no frames]

## Class SelectableSocketWrapper

    object --+
             |
            SelectableSocketWrapper

Method Summary
| `__init__(self, reactor, obj)`
| `__hash__(self)`
| `__repr__(self)`
| `_finishReadOrWrite(self, fn, faildict)`
| `doConnect(self, why)`
| `doRead(self)`
| `doWrite(self)`
| `objConnectionLost(self, *args, **kwargs)`
| `socketWrapperForReactorAndObject(klass, reactor, obj)` (Class method)
| `startReading(self)`
| `startWriting(self)`
| `stopReading(self)`
| `stopWriting(self)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`WeakKeyDictionary` | `_objCache` = `<WeakKeyDictionary at 145991028>`
`NoneType` | `cf` = None

Class Variable Details

### _objCache

  Type:
    `WeakKeyDictionary`
  Value:

        <WeakKeyDictionary at 145991028>

### cf

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:07:59 2004 | http://epydoc.sf.net